

# Amazon Connect Outbound Campaigns
<a name="API_Operations_Amazon_Connect_Outbound_Campaigns"></a>

The following actions are supported by Amazon Connect Outbound Campaigns:
+  [CreateCampaign](API_connect-outbound-campaigns_CreateCampaign.md) 
+  [DeleteCampaign](API_connect-outbound-campaigns_DeleteCampaign.md) 
+  [DeleteConnectInstanceConfig](API_connect-outbound-campaigns_DeleteConnectInstanceConfig.md) 
+  [DeleteInstanceOnboardingJob](API_connect-outbound-campaigns_DeleteInstanceOnboardingJob.md) 
+  [DescribeCampaign](API_connect-outbound-campaigns_DescribeCampaign.md) 
+  [GetCampaignState](API_connect-outbound-campaigns_GetCampaignState.md) 
+  [GetCampaignStateBatch](API_connect-outbound-campaigns_GetCampaignStateBatch.md) 
+  [GetConnectInstanceConfig](API_connect-outbound-campaigns_GetConnectInstanceConfig.md) 
+  [GetInstanceOnboardingJobStatus](API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus.md) 
+  [ListCampaigns](API_connect-outbound-campaigns_ListCampaigns.md) 
+  [ListTagsForResource](API_connect-outbound-campaigns_ListTagsForResource.md) 
+  [PauseCampaign](API_connect-outbound-campaigns_PauseCampaign.md) 
+  [PutDialRequestBatch](API_connect-outbound-campaigns_PutDialRequestBatch.md) 
+  [ResumeCampaign](API_connect-outbound-campaigns_ResumeCampaign.md) 
+  [StartCampaign](API_connect-outbound-campaigns_StartCampaign.md) 
+  [StartInstanceOnboardingJob](API_connect-outbound-campaigns_StartInstanceOnboardingJob.md) 
+  [StopCampaign](API_connect-outbound-campaigns_StopCampaign.md) 
+  [TagResource](API_connect-outbound-campaigns_TagResource.md) 
+  [UntagResource](API_connect-outbound-campaigns_UntagResource.md) 
+  [UpdateCampaignDialerConfig](API_connect-outbound-campaigns_UpdateCampaignDialerConfig.md) 
+  [UpdateCampaignName](API_connect-outbound-campaigns_UpdateCampaignName.md) 
+  [UpdateCampaignOutboundCallConfig](API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig.md) 

# CreateCampaign
<a name="API_connect-outbound-campaigns_CreateCampaign"></a>

Creates an outbound campaign. 

**Note**  
For users to be able to view or edit a campaign at a later date by using the Amazon Connect user interface, you must add the instance ID as a tag.
After a campaign is saved, you can't change the dialer type for an agentless campaign, and you can't change the dialer type to agentless for progressive and predictive campaigns.

## Request Syntax
<a name="API_connect-outbound-campaigns_CreateCampaign_RequestSyntax"></a>

```
PUT /campaigns HTTP/1.1
Content-type: application/json

{
   "connectInstanceId": "string",
   "dialerConfig": { ... },
   "name": "string",
   "outboundCallConfig": { 
      "answerMachineDetectionConfig": { 
         "awaitAnswerMachinePrompt": boolean,
         "enableAnswerMachineDetection": boolean
      },
      "connectContactFlowId": "string",
      "connectQueueId": "string",
      "connectSourcePhoneNumber": "string"
   },
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_CreateCampaign_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-outbound-campaigns_CreateCampaign_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [connectInstanceId](#API_connect-outbound-campaigns_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-request-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the instanceId in the ARN of the instance.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

 ** [dialerConfig](#API_connect-outbound-campaigns_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-request-dialerConfig"></a>
Dialer configuration for an outbound campaign.  
Type: [DialerConfig](API_connect-outbound-campaigns_DialerConfig.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [name](#API_connect-outbound-campaigns_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-request-name"></a>
The name of the campaign.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 127.  
Required: Yes

 ** [outboundCallConfig](#API_connect-outbound-campaigns_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-request-outboundCallConfig"></a>
Outbound call configuration for an outbound campaign.  
Type: [OutboundCallConfig](API_connect-outbound-campaigns_OutboundCallConfig.md) object  
Required: Yes

 ** [tags](#API_connect-outbound-campaigns_CreateCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-request-tags"></a>
The tags used to organize, track, or control access for this resource. For example, \$1 "tags": \$1"key1":"value1", "key2":"value2"\$1 \$1.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

## Response Syntax
<a name="API_connect-outbound-campaigns_CreateCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "id": "string",
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_CreateCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_connect-outbound-campaigns_CreateCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-response-arn"></a>
The Amazon Resource Name (ARN).  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 500.

 ** [id](#API_connect-outbound-campaigns_CreateCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-response-id"></a>
The identifier of the campaign.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+` 

 ** [tags](#API_connect-outbound-campaigns_CreateCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_CreateCampaign-response-tags"></a>
The tags used to organize, track, or control access for this resource. For example, \$1 "tags": \$1"key1":"value1", "key2":"value2"\$1 \$1.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.

## Errors
<a name="API_connect-outbound-campaigns_CreateCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The service quota for your Amazon Connect has been exceeded. Contact Support.  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_CreateCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/CreateCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/CreateCampaign) 

# DeleteCampaign
<a name="API_connect-outbound-campaigns_DeleteCampaign"></a>

Deletes an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_DeleteCampaign_RequestSyntax"></a>

```
DELETE /campaigns/id HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_DeleteCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_DeleteCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_DeleteCampaign-request-uri-id"></a>
The identifier of the campaign..  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_DeleteCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_DeleteCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_DeleteCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_DeleteCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_DeleteCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/DeleteCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/DeleteCampaign) 

# DeleteConnectInstanceConfig
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig"></a>

Deletes configuration information for an Amazon Connect instance.

## Request Syntax
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig_RequestSyntax"></a>

```
DELETE /connect-instance/connectInstanceId/config HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns_DeleteConnectInstanceConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_DeleteConnectInstanceConfig-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the instanceId in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** InvalidStateException **   
An attempt was made to modify a campaign state and the new campaign state is not valid. Check campaign state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_DeleteConnectInstanceConfig_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/DeleteConnectInstanceConfig) 

# DeleteInstanceOnboardingJob
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob"></a>

Deletes the workflow to onboard to outbound campaigns. Only `Failed` workflows can be deleted.

## Request Syntax
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_RequestSyntax"></a>

```
DELETE /connect-instance/connectInstanceId/onboarding HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_DeleteInstanceOnboardingJob-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the instanceId in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** InvalidStateException **   
An attempt was made to modify a campaign state and the new campaign state is not valid. Check campaign state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_DeleteInstanceOnboardingJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/DeleteInstanceOnboardingJob) 

# DescribeCampaign
<a name="API_connect-outbound-campaigns_DescribeCampaign"></a>

Describes an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_DescribeCampaign_RequestSyntax"></a>

```
GET /campaigns/id HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_DescribeCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_DescribeCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_DescribeCampaign-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_DescribeCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_DescribeCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "campaign": { 
      "arn": "string",
      "connectInstanceId": "string",
      "dialerConfig": { ... },
      "id": "string",
      "name": "string",
      "outboundCallConfig": { 
         "answerMachineDetectionConfig": { 
            "awaitAnswerMachinePrompt": boolean,
            "enableAnswerMachineDetection": boolean
         },
         "connectContactFlowId": "string",
         "connectQueueId": "string",
         "connectSourcePhoneNumber": "string"
      },
      "tags": { 
         "string" : "string" 
      }
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_DescribeCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [campaign](#API_connect-outbound-campaigns_DescribeCampaign_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_DescribeCampaign-response-campaign"></a>
The campaign.  
Type: [Campaign](API_connect-outbound-campaigns_Campaign.md) object

## Errors
<a name="API_connect-outbound-campaigns_DescribeCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_DescribeCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/DescribeCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/DescribeCampaign) 

# GetCampaignState
<a name="API_connect-outbound-campaigns_GetCampaignState"></a>

Returns the state of an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_GetCampaignState_RequestSyntax"></a>

```
GET /campaigns/id/state HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_GetCampaignState_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_GetCampaignState_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_GetCampaignState-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_GetCampaignState_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_GetCampaignState_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "state": "string"
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_GetCampaignState_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [state](#API_connect-outbound-campaigns_GetCampaignState_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_GetCampaignState-response-state"></a>
The state of a campaign. For detailed descriptions of each state, see [Campaign status](https://docs.aws.amazon.com/connect/latest/adminguide/enable-high-volume-outbound-communications.html#campaign-status) in the *Amazon Connect Administrator Guide*.  
Type: String  
Valid Values: `Initialized | Running | Paused | Stopped | Failed` 

## Errors
<a name="API_connect-outbound-campaigns_GetCampaignState_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_GetCampaignState_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/GetCampaignState) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/GetCampaignState) 

# GetCampaignStateBatch
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch"></a>

Returns the state of listed of outbound campaigns.

## Request Syntax
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch_RequestSyntax"></a>

```
POST /campaigns-state HTTP/1.1
Content-type: application/json

{
   "campaignIds": [ "string" ]
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [campaignIds](#API_connect-outbound-campaigns_GetCampaignStateBatch_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_GetCampaignStateBatch-request-campaignIds"></a>
The identifiers of the campaigns.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 25 items.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "failedRequests": [ 
      { 
         "campaignId": "string",
         "failureCode": "string"
      }
   ],
   "successfulRequests": [ 
      { 
         "campaignId": "string",
         "state": "string"
      }
   ]
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [failedRequests](#API_connect-outbound-campaigns_GetCampaignStateBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_GetCampaignStateBatch-response-failedRequests"></a>
Failed requests.  
Type: Array of [FailedCampaignStateResponse](API_connect-outbound-campaigns_FailedCampaignStateResponse.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

 ** [successfulRequests](#API_connect-outbound-campaigns_GetCampaignStateBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_GetCampaignStateBatch-response-successfulRequests"></a>
Successful requests.  
Type: Array of [SuccessfulCampaignStateResponse](API_connect-outbound-campaigns_SuccessfulCampaignStateResponse.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

## Errors
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_GetCampaignStateBatch_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/GetCampaignStateBatch) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/GetCampaignStateBatch) 

# GetConnectInstanceConfig
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig"></a>

Get configuration information about an Amazon Connect instance.

## Request Syntax
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig_RequestSyntax"></a>

```
GET /connect-instance/connectInstanceId/config HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns_GetConnectInstanceConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_GetConnectInstanceConfig-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the instanceId in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectInstanceConfig": { 
      "connectInstanceId": "string",
      "encryptionConfig": { 
         "enabled": boolean,
         "encryptionType": "string",
         "keyArn": "string"
      },
      "serviceLinkedRoleArn": "string"
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectInstanceConfig](#API_connect-outbound-campaigns_GetConnectInstanceConfig_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_GetConnectInstanceConfig-response-connectInstanceConfig"></a>
Configuration information about the Amazon Connect instance.  
Type: [InstanceConfig](API_connect-outbound-campaigns_InstanceConfig.md) object

## Errors
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_GetConnectInstanceConfig_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/GetConnectInstanceConfig) 

# GetInstanceOnboardingJobStatus
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus"></a>

Gets the status of the workflow to onboard to outbound campaigns.

**Note**  
The `GetInstanceOnboardingJobStatus` API may return a 404 response in the following cases:  
The requested resource does not exist.
If the instance was onboarded more than 14 days ago, this API will return a 404 response as expected. In such cases, you should call the [GetConnectInstanceConfig](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-outbound-campaigns_GetConnectInstanceConfig.html) API to retrieve the instance details.

## Request Syntax
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_RequestSyntax"></a>

```
GET /connect-instance/connectInstanceId/onboarding HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_GetInstanceOnboardingJobStatus-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the instanceId in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectInstanceOnboardingJobStatus": { 
      "connectInstanceId": "string",
      "failureCode": "string",
      "status": "string"
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectInstanceOnboardingJobStatus](#API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_GetInstanceOnboardingJobStatus-response-connectInstanceOnboardingJobStatus"></a>
The status of the onboarding workflow.  
Type: [InstanceOnboardingJobStatus](API_connect-outbound-campaigns_InstanceOnboardingJobStatus.md) object

## Errors
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_GetInstanceOnboardingJobStatus_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/GetInstanceOnboardingJobStatus) 

# ListCampaigns
<a name="API_connect-outbound-campaigns_ListCampaigns"></a>

Lists outbound campaigns.

## Request Syntax
<a name="API_connect-outbound-campaigns_ListCampaigns_RequestSyntax"></a>

```
POST /campaigns-summary HTTP/1.1
Content-type: application/json

{
   "filters": { 
      "instanceIdFilter": { 
         "operator": "string",
         "value": "string"
      }
   },
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_ListCampaigns_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_connect-outbound-campaigns_ListCampaigns_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filters](#API_connect-outbound-campaigns_ListCampaigns_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_ListCampaigns-request-filters"></a>
Filters the list of campaigns.  
Type: [CampaignFilters](API_connect-outbound-campaigns_CampaignFilters.md) object  
Required: No

 ** [maxResults](#API_connect-outbound-campaigns_ListCampaigns_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_ListCampaigns-request-maxResults"></a>
The maximum number of results to return per page.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 50.  
Required: No

 ** [nextToken](#API_connect-outbound-campaigns_ListCampaigns_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_ListCampaigns-request-nextToken"></a>
The token for the next set of results. Use the value returned in the previous response in the next request to retrieve the next set of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1000.  
Required: No

## Response Syntax
<a name="API_connect-outbound-campaigns_ListCampaigns_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "campaignSummaryList": [ 
      { 
         "arn": "string",
         "connectInstanceId": "string",
         "id": "string",
         "name": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_ListCampaigns_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [campaignSummaryList](#API_connect-outbound-campaigns_ListCampaigns_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_ListCampaigns-response-campaignSummaryList"></a>
Summary information about the outbound campaigns.  
Type: Array of [CampaignSummary](API_connect-outbound-campaigns_CampaignSummary.md) objects

 ** [nextToken](#API_connect-outbound-campaigns_ListCampaigns_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_ListCampaigns-response-nextToken"></a>
If there are additional results, this is the token for the next set of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1000.

## Errors
<a name="API_connect-outbound-campaigns_ListCampaigns_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_ListCampaigns_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/ListCampaigns) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/ListCampaigns) 

# ListTagsForResource
<a name="API_connect-outbound-campaigns_ListTagsForResource"></a>

Lists tags for a resource.

## Request Syntax
<a name="API_connect-outbound-campaigns_ListTagsForResource_RequestSyntax"></a>

```
GET /tags/arn HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_ListTagsForResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [arn](#API_connect-outbound-campaigns_ListTagsForResource_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_ListTagsForResource-request-uri-arn"></a>
The Amazon Resource Name (ARN).  
Length Constraints: Minimum length of 20. Maximum length of 500.  
Pattern: `arn:[a-zA-Z0-9-]+:[a-zA-Z0-9-]+:[a-z]{2}-[a-z]+-\d{1,2}:[a-zA-Z0-9-]+:[^:]+(?:/[^:]+)*(?:/[^:]+)?(?:\:[^:]+)?`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_ListTagsForResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_ListTagsForResource_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_ListTagsForResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [tags](#API_connect-outbound-campaigns_ListTagsForResource_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_ListTagsForResource-response-tags"></a>
The tags used to organize, track, or control access for this resource. For example, \$1 "tags": \$1"key1":"value1", "key2":"value2"\$1 \$1.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.

## Errors
<a name="API_connect-outbound-campaigns_ListTagsForResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_ListTagsForResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/ListTagsForResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/ListTagsForResource) 

# PauseCampaign
<a name="API_connect-outbound-campaigns_PauseCampaign"></a>

Pauses an outbound campaign. A paused outbound campaign can be resumed.

## Request Syntax
<a name="API_connect-outbound-campaigns_PauseCampaign_RequestSyntax"></a>

```
POST /campaigns/id/pause HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_PauseCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_PauseCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_PauseCampaign-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_PauseCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_PauseCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_PauseCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_PauseCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_PauseCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/PauseCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/PauseCampaign) 

# PutDialRequestBatch
<a name="API_connect-outbound-campaigns_PutDialRequestBatch"></a>

Takes in a list of [DialRequests](https://docs.aws.amazon.com/connect-outbound/latest/APIReference/API_DialRequest.html) to be dialed as part of an outbound campaign. For more information about using PutDialRequestBatch, see [Best practices for using PutDialRequestBatch for outbound campaign calling](https://docs.aws.amazon.com/connect-outbound/latest/APIReference/api-outbound-campaign-calls.html). 

## Request Syntax
<a name="API_connect-outbound-campaigns_PutDialRequestBatch_RequestSyntax"></a>

```
PUT /campaigns/id/dial-requests HTTP/1.1
Content-type: application/json

{
   "dialRequests": [ 
      { 
         "attributes": { 
            "string" : "string" 
         },
         "clientToken": "string",
         "expirationTime": "string",
         "phoneNumber": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_PutDialRequestBatch_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_PutDialRequestBatch_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_PutDialRequestBatch-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_PutDialRequestBatch_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [dialRequests](#API_connect-outbound-campaigns_PutDialRequestBatch_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_PutDialRequestBatch-request-dialRequests"></a>
Dial requests.  
Type: Array of [DialRequest](API_connect-outbound-campaigns_DialRequest.md) objects  
Array Members: Minimum number of 1 item. Maximum number of 25 items.  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns_PutDialRequestBatch_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "failedRequests": [ 
      { 
         "clientToken": "string",
         "failureCode": "string",
         "id": "string"
      }
   ],
   "successfulRequests": [ 
      { 
         "clientToken": "string",
         "id": "string"
      }
   ]
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_PutDialRequestBatch_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [failedRequests](#API_connect-outbound-campaigns_PutDialRequestBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_PutDialRequestBatch-response-failedRequests"></a>
Failed dial requests.  
Type: Array of [FailedRequest](API_connect-outbound-campaigns_FailedRequest.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

 ** [successfulRequests](#API_connect-outbound-campaigns_PutDialRequestBatch_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_PutDialRequestBatch-response-successfulRequests"></a>
Successful dial requests.  
Type: Array of [SuccessfulRequest](API_connect-outbound-campaigns_SuccessfulRequest.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 25 items.

## Errors
<a name="API_connect-outbound-campaigns_PutDialRequestBatch_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_PutDialRequestBatch_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/PutDialRequestBatch) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/PutDialRequestBatch) 

# ResumeCampaign
<a name="API_connect-outbound-campaigns_ResumeCampaign"></a>

Resumes an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_ResumeCampaign_RequestSyntax"></a>

```
POST /campaigns/id/resume HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_ResumeCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_ResumeCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_ResumeCampaign-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_ResumeCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_ResumeCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_ResumeCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_ResumeCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_ResumeCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/ResumeCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/ResumeCampaign) 

# StartCampaign
<a name="API_connect-outbound-campaigns_StartCampaign"></a>

Starts an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_StartCampaign_RequestSyntax"></a>

```
POST /campaigns/id/start HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_StartCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_StartCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_StartCampaign-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_StartCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_StartCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_StartCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_StartCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_StartCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/StartCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/StartCampaign) 

# StartInstanceOnboardingJob
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob"></a>

Starts the workflow to onboard an Amazon Connect instance to outbound campaigns.

**Note**  
If the current [InstanceOnboardingJobStatus](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-outbound-campaigns_InstanceOnboardingJobStatus.html) is **FAILED**, the `StartInstanceOnboardingJob` API will continue to return the existing status for 14 days from the initial attempt. To reattempt onboarding, first call the [DeleteInstanceOnboardingJob](https://docs.aws.amazon.com/connect/latest/APIReference/API_connect-outbound-campaigns_DeleteInstanceOnboardingJob.html) API, then invoke the `StartInstanceOnboardingJob` API again.

## Request Syntax
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob_RequestSyntax"></a>

```
PUT /connect-instance/connectInstanceId/onboarding HTTP/1.1
Content-type: application/json

{
   "encryptionConfig": { 
      "enabled": boolean,
      "encryptionType": "string",
      "keyArn": "string"
   }
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob_RequestParameters"></a>

The request uses the following URI parameters.

 ** [connectInstanceId](#API_connect-outbound-campaigns_StartInstanceOnboardingJob_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_StartInstanceOnboardingJob-request-uri-connectInstanceId"></a>
The identifier of the Amazon Connect instance. You can find the instanceId in the ARN of the instance.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-_.a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [encryptionConfig](#API_connect-outbound-campaigns_StartInstanceOnboardingJob_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_StartInstanceOnboardingJob-request-encryptionConfig"></a>
Encryption configuration for an Amazon Connect instance.  
Type: [EncryptionConfig](API_connect-outbound-campaigns_EncryptionConfig.md) object  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "connectInstanceOnboardingJobStatus": { 
      "connectInstanceId": "string",
      "failureCode": "string",
      "status": "string"
   }
}
```

## Response Elements
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [connectInstanceOnboardingJobStatus](#API_connect-outbound-campaigns_StartInstanceOnboardingJob_ResponseSyntax) **   <a name="connect-connect-outbound-campaigns_StartInstanceOnboardingJob-response-connectInstanceOnboardingJobStatus"></a>
The status of the onboarding workflow.  
Type: [InstanceOnboardingJobStatus](API_connect-outbound-campaigns_InstanceOnboardingJobStatus.md) object

## Errors
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_StartInstanceOnboardingJob_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/StartInstanceOnboardingJob) 

# StopCampaign
<a name="API_connect-outbound-campaigns_StopCampaign"></a>

Stops an Amazon Connect campaign. When this API is called, no more calls are dialed for the campaign. Inflight contacts aren't impacted.

## Request Syntax
<a name="API_connect-outbound-campaigns_StopCampaign_RequestSyntax"></a>

```
POST /campaigns/id/stop HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_StopCampaign_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_StopCampaign_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_StopCampaign-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_StopCampaign_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_StopCampaign_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_StopCampaign_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_StopCampaign_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** InvalidCampaignStateException **   
An attempt was made to modify a campaign that is in a state that is not valid. Check your campaign to ensure that it is in a valid state before retrying the operation.  
HTTP Status Code: 409

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_StopCampaign_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/StopCampaign) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/StopCampaign) 

# TagResource
<a name="API_connect-outbound-campaigns_TagResource"></a>

Adds the specified tags to a resource.

## Request Syntax
<a name="API_connect-outbound-campaigns_TagResource_RequestSyntax"></a>

```
POST /tags/arn HTTP/1.1
Content-type: application/json

{
   "tags": { 
      "string" : "string" 
   }
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_TagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [arn](#API_connect-outbound-campaigns_TagResource_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_TagResource-request-uri-arn"></a>
The Amazon Resource Name (ARN).  
Length Constraints: Minimum length of 20. Maximum length of 500.  
Pattern: `arn:[a-zA-Z0-9-]+:[a-zA-Z0-9-]+:[a-z]{2}-[a-z]+-\d{1,2}:[a-zA-Z0-9-]+:[^:]+(?:/[^:]+)*(?:/[^:]+)?(?:\:[^:]+)?`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_TagResource_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [tags](#API_connect-outbound-campaigns_TagResource_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_TagResource-request-tags"></a>
The tags used to organize, track, or control access for this resource. For example, \$1 "tags": \$1"key1":"value1", "key2":"value2"\$1 \$1.  
Type: String to string map  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Key Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns_TagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_TagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_TagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_TagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/TagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/TagResource) 

# UntagResource
<a name="API_connect-outbound-campaigns_UntagResource"></a>

Removes the specified tags from the specified resource.

## Request Syntax
<a name="API_connect-outbound-campaigns_UntagResource_RequestSyntax"></a>

```
DELETE /tags/arn?tagKeys=tagKeys HTTP/1.1
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_UntagResource_RequestParameters"></a>

The request uses the following URI parameters.

 ** [arn](#API_connect-outbound-campaigns_UntagResource_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UntagResource-request-uri-arn"></a>
The Amazon Resource Name (ARN).  
Length Constraints: Minimum length of 20. Maximum length of 500.  
Pattern: `arn:[a-zA-Z0-9-]+:[a-zA-Z0-9-]+:[a-z]{2}-[a-z]+-\d{1,2}:[a-zA-Z0-9-]+:[^:]+(?:/[^:]+)*(?:/[^:]+)?(?:\:[^:]+)?`   
Required: Yes

 ** [tagKeys](#API_connect-outbound-campaigns_UntagResource_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UntagResource-request-uri-tagKeys"></a>
The tag keys.  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `(?!aws:)[a-zA-Z+-=._:/]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_UntagResource_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_connect-outbound-campaigns_UntagResource_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_UntagResource_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_UntagResource_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_UntagResource_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/UntagResource) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/UntagResource) 

# UpdateCampaignDialerConfig
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig"></a>

Updates [DialerConfig](https://docs.aws.amazon.com/connect-outbound/latest/APIReference/API_DialerConfig.html) for an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig_RequestSyntax"></a>

```
POST /campaigns/id/dialer-config HTTP/1.1
Content-type: application/json

{
   "dialerConfig": { ... }
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_UpdateCampaignDialerConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignDialerConfig-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [dialerConfig](#API_connect-outbound-campaigns_UpdateCampaignDialerConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignDialerConfig-request-dialerConfig"></a>
Dialer configuration for an outbound campaign.   
Type: [DialerConfig](API_connect-outbound-campaigns_DialerConfig.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_UpdateCampaignDialerConfig_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/UpdateCampaignDialerConfig) 

# UpdateCampaignName
<a name="API_connect-outbound-campaigns_UpdateCampaignName"></a>

Updates the name of an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_UpdateCampaignName_RequestSyntax"></a>

```
POST /campaigns/id/name HTTP/1.1
Content-type: application/json

{
   "name": "string"
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_UpdateCampaignName_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_UpdateCampaignName_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignName-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_UpdateCampaignName_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [name](#API_connect-outbound-campaigns_UpdateCampaignName_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignName-request-name"></a>
The name of the campaign.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 127.  
Required: Yes

## Response Syntax
<a name="API_connect-outbound-campaigns_UpdateCampaignName_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_UpdateCampaignName_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_connect-outbound-campaigns_UpdateCampaignName_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
The request could not be processed because of conflict in the current state of the resource.  
HTTP Status Code: 409

 ** InternalServerException **   
This exception occurs when there is an internal failure in the outbound campaigns.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The input fails to satisfy the constraints specified by an AWSservice.  
HTTP Status Code: 400

## See Also
<a name="API_connect-outbound-campaigns_UpdateCampaignName_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/connectcampaigns-2021-01-30/UpdateCampaignName) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connectcampaigns-2021-01-30/UpdateCampaignName) 

# UpdateCampaignOutboundCallConfig
<a name="API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig"></a>

Updates [OutboundCallConfig](https://docs.aws.amazon.com/connect-outbound/latest/APIReference/API_OutboundCallConfig.html) for an outbound campaign.

## Request Syntax
<a name="API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_RequestSyntax"></a>

```
POST /campaigns/id/outbound-call-config HTTP/1.1
Content-type: application/json

{
   "answerMachineDetectionConfig": { 
      "awaitAnswerMachinePrompt": boolean,
      "enableAnswerMachineDetection": boolean
   },
   "connectContactFlowId": "string",
   "connectSourcePhoneNumber": "string"
}
```

## URI Request Parameters
<a name="API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignOutboundCallConfig-request-uri-id"></a>
The identifier of the campaign.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `[-:/a-zA-Z0-9]+`   
Required: Yes

## Request Body
<a name="API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [answerMachineDetectionConfig](#API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignOutboundCallConfig-request-answerMachineDetectionConfig"></a>
Information about answering machine detection.  
Type: [AnswerMachineDetectionConfig](API_connect-outbound-campaigns_AnswerMachineDetectionConfig.md) object  
Required: No

 ** [connectContactFlowId](#API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignOutboundCallConfig-request-connectContactFlowId"></a>
The identifier of the published flow associated with this campaign.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 500.  
Required: No

 ** [connectSourcePhoneNumber](#API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_RequestSyntax) **   <a name="connect-connect-outbound-campaigns_UpdateCampaignOutboundCallConfig-request-connectSourcePhoneNumber"></a>
The outbound phone number associated with this campaign. Only ported or claimed Amazon Connect phone numbers are allowed.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 100.  
Required: No

## Response Syntax
<a name="API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_connect-outbound-campaigns_UpdateCampaignOutboundCallConfig_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
[...]
